TESTING/EIG/slarfy.f(3)

NAME
TESTING/EIG/slarfy.f

SYNOPSIS

  Functions/Subroutines
subroutine slarfy (uplo, n, v, incv, tau, c, ldc, work)
SLARFY

Function/Subroutine Documentation

  subroutine slarfy (character uplo, integer n, real, dimension( * ) v, integer incv, real tau, real, dimension( ldc, * ) c, integer ldc, real, dimension( * ) work)

SLARFY

Purpose:

     SLARFY applies an elementary reflector, or Householder matrix, H,
     to an n x n symmetric matrix C, from both the left and the right.
     H is represented in the form
        H = I - tau * v * v'
     where  tau  is a scalar and  v  is a vector.
     If  tau  is  zero, then  H  is taken to be the unit matrix.

Parameters
    UPLO

              UPLO is CHARACTER*1
              Specifies whether the upper or lower triangular part of the
              symmetric matrix C is stored.
              = 'U':  Upper triangle
              = 'L':  Lower triangle

    N

              N is INTEGER
              The number of rows and columns of the matrix C.  N >= 0.

    V

              V is REAL array, dimension
                      (1 + (N-1)*abs(INCV))
              The vector v as described above.

    INCV

              INCV is INTEGER
              The increment between successive elements of v.  INCV must
              not be zero.

    TAU

              TAU is REAL
              The value tau as described above.

    C

              C is REAL array, dimension (LDC, N)
              On entry, the matrix C.
              On exit, C is overwritten by H * C * H'.

    LDC

              LDC is INTEGER
              The leading dimension of the array C.  LDC >= max( 1, N ).

    WORK

              WORK is REAL array, dimension (N)

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 107 of file slarfy.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.